/** @format */

import React, { useEffect } from "react";
import LeftArea from "@/layout/default/left-area";
import MainArea from "@/layout/default/main-area";
import RightArea from "@/layout/default/right-area";
import "./index.less";
import Footer from "@/components/Footer";

const DefaultLayOut: React.FC = () => {
	useEffect(() => {
		document.body.classList.add("main-body");
		return () => {
			document.body.classList.remove("main-body");
		};
	}, []);
	return (
		<>
			<div className="app-container">
				<LeftArea />
				<MainArea />
				<RightArea />
			</div>
			<Footer />
		</>
	);
};
export default DefaultLayOut;
